# 项目简介-博客平台搭建

  搭建博客平台，可供用户进行博文发表,支持markdown语法，代码高亮显示，英文OCR，博文撰写同时的动态预览等功能。运用云数据库提高服务的可扩展性，运用负载均衡器减轻单点服务器的压力。

## 代码结构

 app2 

   -- im2latex_master OCR模型 （借鉴https://github.com/eragonruan/text-detection-ctpn，https://github.com/guillaumegenthial/im2latex 后修改，训练）

   -- **.php 文件  博客网站实现 （原创）

   --  highlight 代码高亮显示的JS库
   
   -- Dockerfile 




## 部署运行方式：
（直接用镜像的话，镜像版本：php-python11，账号：wangziyueamy@sina.com a15862340183 ）

1. 申请ucloud云主机

2. 在云主机上使用容器部署ngnix，php，python环境

   - 进入项目目录

   - 创建docker镜像，创建container

```shell
docker build -t wangziyue/php-ngnix-python .
docker run -d --rm -v /var/app2/:/app/ -p 80:80  --privileged=true  --name php-nginx-python wangziyue/php-ngnix-python

```

3. 申请ucloud的云数据库，修改pdo.php中数据库地址

   ![云数据库](saas/云数据库.png)

4. 在云数据库中运行init.sql

5. 访问 ip:/index.php

可选：创建ucloud负载均衡器，从镜像再创建n个云主机，然后将负载均衡器与云主机ip绑定

![负载均衡器](saas/负载均衡器.png)



## SaaS应用效果截图:

- 主页

  ![主页](saas/主页.png)



- 用户登录界面

  ![用户登录](saas/用户登录.png)

- 博客markdown编辑器

  支持markdown语法，代码高亮显示，英文OCR，博文撰写同时的动态预览等功能

  ![markdown编辑器](saas/markdown编辑器.png)

OCR功能

![ocr1](saas/ocr1.png)

![ocr](saas/ocr.png)



- 博客页面

  ![博客页面](saas/博客页面.png)



- 评论区

![评论区](saas/评论区.png)



- 搜索功能

  ![搜索](saas/搜索.png)



- 服务器压力测试

  单节点

  ![单节点](saas/单节点.png)

  双节点![两个节点](saas/两个节点.png)

