<?php
require_once "pdo.php";
session_start();
if(!isset($_GET["article_id"] ))
{
    header('Location: index.php');
}
?>
<!DOCTYPE html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="css/templatemo-style.css">
<title>Home</title>
</head>

<body>
<div class="fixed-header">
	<div class="container">
		<div class="navbar-header">
			<button type="button" class="navbar-toggle">
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>                        
			</button>
			<a class="navbar-brand" href="#">Puzzle</a>
		</div>
		<nav class="main-menu">
			<ul>
				<li><a href="#home">Home</a></li>
				<li><a href="#services">Services</a></li>
				<li><a href="#clients">Clients</a></li>
				<li><a class="external" href="#" target="_blank">External</a></li>
				<li><a href="#contact">Contact</a></li>
			</ul>
		</nav>
	</div>
</div>

<div class="container">
	

	<div class="container">
		<section class="col-md-12 content" id="home">
		 
		   <div class="col-lg-12 col-md-12 content-item content-item-1 background">
			   <h2 class="main-title text-center dark-blue-text">Puzzle Bootstrap Template</h2>
			   <p>Puzzle is a Bootstrap (v3.3.6) HTML CSS layout provided by <span class="light-blue-text">templatemo</span>. You can download, modify and use this layout for absolutely free of charge.</p>
			   <p>No backlink is needed to use this website template. Credit goes to <span class="light-blue-text">Unsplash</span> for images used in this layout.</p>               
			   <button type="button" class="btn btn-big dark-blue-bordered-btn">Big Button</button>
			   <button type="button" class="btn btn-big dark-blue-btn">Download</button>
			   <button type="button" class="btn dark-blue-bordered-btn normal-btn">Small Button</button>
		   <button type="button" class="btn yellow-btn normal-btn">Download</button>
		   <button type="button" class="btn green-btn normal-btn">Demo</button>    
		   </div>
	   </section>






</div>



<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/jquery.singlePageNav.min.js"></script>

<script>

// Check scroll position and add/remove background to navbar
function checkScrollPosition() {
if($(window).scrollTop() > 50) {
  $(".fixed-header").addClass("scroll");
} else {        
  $(".fixed-header").removeClass("scroll");
}
}

$(document).ready(function () {   
// Single page nav
$('.fixed-header').singlePageNav({
	offset: 59,
	filter: ':not(.external)',
	updateHash: true        
});

checkScrollPosition();

// nav bar
$('.navbar-toggle').click(function(){
	$('.main-menu').toggleClass('show');
});

$('.main-menu a').click(function(){
	$('.main-menu').removeClass('show');
});
});

$(window).on("scroll", function() {
checkScrollPosition();    
});
</script>
</body>
</html>